WARDirContext (Catalina Internal API Documentation)
Keywords: org.apache.naming.resources.WARDirContext class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources
Class WARDirContext

    java.lang.Object
      org.apache.naming.resources.BaseDirContext
          org.apache.naming.resources.WARDirContext

All Implemented Interfaces:
  javax.naming.Context, javax.naming.directory.DirContext

public class WARDirContext
extends BaseDirContext

WAR Directory Context implementation.

Version:
  $Revision: 1.5 $ $Date: 2002/02/28 07:04:36 $
Author:
  Remy Maucherat

Nested Class Summary
`protected class` | `WARDirContext.Entry` Entries structure.
`protected class` | `WARDirContext.WARResource` This specialized resource implementation avoids opening the IputStream to the WAR right away.

Field Summary
`protected java.util.zip.ZipFile` | `base` The WAR file.
`protected WARDirContext.Entry` | `entries` WAR entries.

Fields inherited from class org.apache.naming.resources.BaseDirContext
`cached, cacheObjectMaxSize, cacheTTL, debug, docBase, env, nameParser, sm`

Fields inherited from interface javax.naming.directory.DirContext
`ADD_ATTRIBUTE, REMOVE_ATTRIBUTE, REPLACE_ATTRIBUTE`

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`` | `WARDirContext()` Builds a WAR directory context using the given environment.
`` | `WARDirContext(java.util.Hashtable env)` Builds a WAR directory context using the given environment.
`protected` | `WARDirContext(java.util.zip.ZipFile base, WARDirContext.Entry entries)` Constructor used for returning fake subcontexts.

Method Summary
`void` | `bind(java.lang.String name, java.lang.Object obj, javax.naming.directory.Attributes attrs)` Binds a name to an object, along with associated attributes.
`javax.naming.directory.DirContext` | `createSubcontext(java.lang.String name, javax.naming.directory.Attributes attrs)` Creates and binds a new context, along with associated attributes.
`void` | `destroySubcontext(java.lang.String name)` Destroys the named context and removes it from the namespace.
`javax.naming.directory.Attributes` | `getAttributes(javax.naming.Name name, java.lang.String[] attrIds)` Retrieves all of the attributes associated with a named object.
`javax.naming.directory.Attributes` | `getAttributes(java.lang.String name, java.lang.String[] attrIds)` Retrieves selected attributes associated with a named object.
`java.lang.String` | `getNameInNamespace()` Retrieves the full name of this context within its own namespace.
`javax.naming.directory.DirContext` | `getSchema(java.lang.String name)` Retrieves the schema associated with the named object.
`javax.naming.directory.DirContext` | `getSchemaClassDefinition(java.lang.String name)` Retrieves a context containing the schema objects of the named object's class definitions.
`javax.naming.NamingEnumeration` | `list(javax.naming.Name name)` Enumerates the names bound in the named context, along with the class names of objects bound to them.
`javax.naming.NamingEnumeration` | `list(java.lang.String name)` Enumerates the names bound in the named context, along with the class names of objects bound to them.
`protected java.util.Vector` | `list(WARDirContext.Entry entry)` List children as objects.
`javax.naming.NamingEnumeration` | `listBindings(javax.naming.Name name)` Enumerates the names bound in the named context, along with the objects bound to them.
`javax.naming.NamingEnumeration` | `listBindings(java.lang.String name)` Enumerates the names bound in the named context, along with the objects bound to them.
`protected void` | `loadEntries()` Constructs a tree of the entries contained in a WAR file.
`java.lang.Object` | `lookup(javax.naming.Name name)` Retrieves the named object.
`java.lang.Object` | `lookup(java.lang.String name)` Retrieves the named object.
`java.lang.Object` | `lookupLink(java.lang.String name)` Retrieves the named object, following links except for the terminal atomic component of the name.
`void` | `modifyAttributes(java.lang.String name, int mod_op, javax.naming.directory.Attributes attrs)` Modifies the attributes associated with a named object.
`void` | `modifyAttributes(java.lang.String name, javax.naming.directory.ModificationItem[] mods)` Modifies the attributes associated with a named object using an an ordered list of modifications.
`protected java.lang.String` | `normalize(java.util.zip.ZipEntry entry)` Normalize the name of an entry read from the Zip.
`void` | `rebind(java.lang.String name, java.lang.Object obj, javax.naming.directory.Attributes attrs)` Binds a name to an object, along with associated attributes, overwriting any existing binding.
`void` | `release()` Release any resources allocated for this directory context.
`void` | `rename(java.lang.String oldName, java.lang.String newName)` Binds a new name to the object bound to an old name, and unbinds the old name.
`javax.naming.NamingEnumeration` | `search(java.lang.String name, javax.naming.directory.Attributes matchingAttributes)` Searches in a single context for objects that contain a specified set of attributes.
`javax.naming.NamingEnumeration` | `search(java.lang.String name, javax.naming.directory.Attributes matchingAttributes, java.lang.String[] attributesToReturn)` Searches in a single context for objects that contain a specified set of attributes, and retrieves selected attributes.
`javax.naming.NamingEnumeration` | `search(java.lang.String name, java.lang.String filterExpr, java.lang.Object[] filterArgs, javax.naming.directory.SearchControls cons)` Searches in the named context or object for entries that satisfy the given search filter.
`javax.naming.NamingEnumeration` | `search(java.lang.String name, java.lang.String filter, javax.naming.directory.SearchControls cons)` Searches in the named context or object for entries that satisfy the given search filter.
`void` | `setDocBase(java.lang.String docBase)` Set the document root.
`protected WARDirContext.Entry` | `treeLookup(javax.naming.Name name)` Entry tree lookup.
`void` | `unbind(java.lang.String name)` Unbinds the named object.

Methods inherited from class org.apache.naming.resources.BaseDirContext
`addToEnvironment, allocate, bind, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, createSubcontext, destroySubcontext, getAttributes, getAttributes, getCacheObjectMaxSize, getCacheTTL, getDebug, getDocBase, getEnvironment, getNameParser, getNameParser, getSchema, getSchemaClassDefinition, isCached, lookupLink, modifyAttributes, modifyAttributes, rebind, rebind, rebind, removeFromEnvironment, rename, search, search, search, search, setCached, setCacheObjectMaxSize, setCacheTTL, setDebug, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base

    protected java.util.zip.ZipFile base

  The WAR file.

### entries

    protected WARDirContext.Entry entries

  WAR entries.

Constructor Detail

### WARDirContext

    public WARDirContext()

  Builds a WAR directory context using the given environment.

### WARDirContext

    public WARDirContext(java.util.Hashtable env)

  Builds a WAR directory context using the given environment.

### WARDirContext

    protected WARDirContext(java.util.zip.ZipFile base,
                            WARDirContext.Entry entries)

  Constructor used for returning fake subcontexts.

Method Detail

### setDocBase

    public void setDocBase(java.lang.String docBase)

  Set the document root.

  Overrides:
    `setDocBase` in class `BaseDirContext`
  Parameters:
    `docBase` - The new document root
  Throws:
    `java.lang.IllegalArgumentException` - if the specified value is not supported by this implementation
    `java.lang.IllegalArgumentException` - if this would create a malformed URL

### release

    public void release()

  Release any resources allocated for this directory context.

  Overrides:
    `release` in class `BaseDirContext`

### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws javax.naming.NamingException

  Retrieves the named object.

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Specified by:
    `lookup` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException

  Retrieves the named object. If name is empty, returns a new instance of this context (which represents the same naming context as this context, but its environment may be modified independently and it may be accessed concurrently).

  Specified by:
    `lookup` in interface `javax.naming.Context`
  Overrides:
    `lookup` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### unbind

    public void unbind(java.lang.String name)
                throws javax.naming.NamingException

  Unbinds the named object. Removes the terminal atomic name in name from the target context--that named by all but the terminal atomic part of name.

  This method is idempotent. It succeeds even if the terminal atomic name is not bound in the target context, but throws NameNotFoundException if any of the intermediate contexts do not exist.

  Specified by:
    `unbind` in interface `javax.naming.Context`
  Specified by:
    `unbind` in class `BaseDirContext`
  Parameters:
    `name` - the name to bind; may not be empty
  Throws:
    `NameNotFoundException` - if an intermediate context does not exist
    `javax.naming.NamingException` - if a naming exception is encountered

### rename

    public void rename(java.lang.String oldName,
                       java.lang.String newName)
                throws javax.naming.NamingException

  Binds a new name to the object bound to an old name, and unbinds the old name. Both names are relative to this context. Any attributes associated with the old name become associated with the new name. Intermediate contexts of the old name are not changed.

  Specified by:
    `rename` in interface `javax.naming.Context`
  Specified by:
    `rename` in class `BaseDirContext`
  Parameters:
    `oldName` - the name of the existing binding; may not be empty
    `newName` - the name of the new binding; may not be empty
  Throws:
    `javax.naming.NameAlreadyBoundException` - if newName is already bound
    `javax.naming.NamingException` - if a naming exception is encountered

### list

    public javax.naming.NamingEnumeration list(java.lang.String name)
                                        throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the class names of objects bound to them. The contents of any subcontexts are not included.

  If a binding is added to or removed from this context, its effect on an enumeration previously returned is undefined.

  Specified by:
    `list` in interface `javax.naming.Context`
  Specified by:
    `list` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the names and class names of the bindings in this context. Each element of the enumeration is of type NameClassPair.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### list

    public javax.naming.NamingEnumeration list(javax.naming.Name name)
                                        throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the class names of objects bound to them. The contents of any subcontexts are not included.

  If a binding is added to or removed from this context, its effect on an enumeration previously returned is undefined.

  Specified by:
    `list` in interface `javax.naming.Context`
  Overrides:
    `list` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the names and class names of the bindings in this context. Each element of the enumeration is of type NameClassPair.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name)
                                                throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the objects bound to them. The contents of any subcontexts are not included.

  If a binding is added to or removed from this context, its effect on an enumeration previously returned is undefined.

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Specified by:
    `listBindings` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the bindings in this context. Each element of the enumeration is of type Binding.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### listBindings

    public javax.naming.NamingEnumeration listBindings(javax.naming.Name name)
                                                throws javax.naming.NamingException

  Enumerates the names bound in the named context, along with the objects bound to them. The contents of any subcontexts are not included.

  If a binding is added to or removed from this context, its effect on an enumeration previously returned is undefined.

  Specified by:
    `listBindings` in interface `javax.naming.Context`
  Overrides:
    `listBindings` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context to list
  Returns:
    an enumeration of the bindings in this context. Each element of the enumeration is of type Binding.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### destroySubcontext

    public void destroySubcontext(java.lang.String name)
                           throws javax.naming.NamingException

  Destroys the named context and removes it from the namespace. Any attributes associated with the name are also removed. Intermediate contexts are not destroyed.

  This method is idempotent. It succeeds even if the terminal atomic name is not bound in the target context, but throws NameNotFoundException if any of the intermediate contexts do not exist. In a federated naming system, a context from one naming system may be bound to a name in another. One can subsequently look up and perform operations on the foreign context using a composite name. However, an attempt destroy the context using this composite name will fail with NotContextException, because the foreign context is not a "subcontext" of the context in which it is bound. Instead, use unbind() to remove the binding of the foreign context. Destroying the foreign context requires that the destroySubcontext() be performed on a context from the foreign context's "native" naming system.

  Specified by:
    `destroySubcontext` in interface `javax.naming.Context`
  Specified by:
    `destroySubcontext` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context to be destroyed; may not be empty
  Throws:
    `NameNotFoundException` - if an intermediate context does not exist
    `NotContextException` - if the name is bound but does not name a context, or does not name a context of the appropriate type
    `javax.naming.NamingException`

### lookupLink

    public java.lang.Object lookupLink(java.lang.String name)
                                throws javax.naming.NamingException

  Retrieves the named object, following links except for the terminal atomic component of the name. If the object bound to name is not a link, returns the object itself.

  Specified by:
    `lookupLink` in interface `javax.naming.Context`
  Specified by:
    `lookupLink` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object to look up
  Returns:
    the object bound to name, not following the terminal link (if any).
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

  Retrieves the full name of this context within its own namespace.

  Many naming services have a notion of a "full name" for objects in their respective namespaces. For example, an LDAP entry has a distinguished name, and a DNS record has a fully qualified name. This method allows the client application to retrieve this name. The string returned by this method is not a JNDI composite name and should not be passed directly to context methods. In naming systems for which the notion of full name does not make sense, OperationNotSupportedException is thrown.

  Specified by:
    `getNameInNamespace` in interface `javax.naming.Context`
  Specified by:
    `getNameInNamespace` in class `BaseDirContext`
  Returns:
    this context's name in its own namespace; never null
  Throws:
    `javax.naming.OperationNotSupportedException` - if the naming system does not have the notion of a full name
    `javax.naming.NamingException` - if a naming exception is encountered

### getAttributes

    public javax.naming.directory.Attributes getAttributes(java.lang.String name,
                                                           java.lang.String[] attrIds)
                                                    throws javax.naming.NamingException

  Retrieves selected attributes associated with a named object. See the class description regarding attribute models, attribute type names, and operational attributes.

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Specified by:
    `getAttributes` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object from which to retrieve attributes
    `attrIds` - the identifiers of the attributes to retrieve. null indicates that all attributes should be retrieved; an empty array indicates that none should be retrieved
  Returns:
    the requested attributes; never null
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### getAttributes

    public javax.naming.directory.Attributes getAttributes(javax.naming.Name name,
                                                           java.lang.String[] attrIds)
                                                    throws javax.naming.NamingException

  Retrieves all of the attributes associated with a named object.

  Specified by:
    `getAttributes` in interface `javax.naming.directory.DirContext`
  Overrides:
    `getAttributes` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object from which to retrieve attributes
    `attrIds` - the identifiers of the attributes to retrieve. null indicates that all attributes should be retrieved; an empty array indicates that none should be retrieved
  Returns:
    the set of attributes associated with name. Returns an empty attribute set if name has no attributes; never null.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### modifyAttributes

    public void modifyAttributes(java.lang.String name,
                                 int mod_op,
                                 javax.naming.directory.Attributes attrs)
                          throws javax.naming.NamingException

  Modifies the attributes associated with a named object. The order of the modifications is not specified. Where possible, the modifications are performed atomically.

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Specified by:
    `modifyAttributes` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object whose attributes will be updated
    `mod_op` - the modification operation, one of: ADD_ATTRIBUTE, REPLACE_ATTRIBUTE, REMOVE_ATTRIBUTE
    `attrs` - the attributes to be used for the modification; may not be null
  Throws:
    `AttributeModificationException` - if the modification cannot be completed successfully
    `javax.naming.NamingException` - if a naming exception is encountered

### modifyAttributes

    public void modifyAttributes(java.lang.String name,
                                 javax.naming.directory.ModificationItem[] mods)
                          throws javax.naming.NamingException

  Modifies the attributes associated with a named object using an an ordered list of modifications. The modifications are performed in the order specified. Each modification specifies a modification operation code and an attribute on which to operate. Where possible, the modifications are performed atomically.

  Specified by:
    `modifyAttributes` in interface `javax.naming.directory.DirContext`
  Specified by:
    `modifyAttributes` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object whose attributes will be updated
    `mods` - an ordered sequence of modifications to be performed; may not be null
  Throws:
    `AttributeModificationException` - if the modification cannot be completed successfully
    `javax.naming.NamingException` - if a naming exception is encountered

### bind

    public void bind(java.lang.String name,
                     java.lang.Object obj,
                     javax.naming.directory.Attributes attrs)
              throws javax.naming.NamingException

  Binds a name to an object, along with associated attributes. If attrs is null, the resulting binding will have the attributes associated with obj if obj is a DirContext, and no attributes otherwise. If attrs is non-null, the resulting binding will have attrs as its attributes; any attributes associated with obj are ignored.

  Specified by:
    `bind` in interface `javax.naming.directory.DirContext`
  Specified by:
    `bind` in class `BaseDirContext`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
    `attrs` - the attributes to associate with the binding
  Throws:
    `javax.naming.NameAlreadyBoundException` - if name is already bound
    `InvalidAttributesException` - if some "mandatory" attributes of the binding are not supplied
    `javax.naming.NamingException` - if a naming exception is encountered

### rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj,
                       javax.naming.directory.Attributes attrs)
                throws javax.naming.NamingException

  Binds a name to an object, along with associated attributes, overwriting any existing binding. If attrs is null and obj is a DirContext, the attributes from obj are used. If attrs is null and obj is not a DirContext, any existing attributes associated with the object already bound in the directory remain unchanged. If attrs is non-null, any existing attributes associated with the object already bound in the directory are removed and attrs is associated with the named object. If obj is a DirContext and attrs is non-null, the attributes of obj are ignored.

  Specified by:
    `rebind` in interface `javax.naming.directory.DirContext`
  Specified by:
    `rebind` in class `BaseDirContext`
  Parameters:
    `name` - the name to bind; may not be empty
    `obj` - the object to bind; possibly null
    `attrs` - the attributes to associate with the binding
  Throws:
    `InvalidAttributesException` - if some "mandatory" attributes of the binding are not supplied
    `javax.naming.NamingException` - if a naming exception is encountered

### createSubcontext

    public javax.naming.directory.DirContext createSubcontext(java.lang.String name,
                                                              javax.naming.directory.Attributes attrs)
                                                       throws javax.naming.NamingException

  Creates and binds a new context, along with associated attributes. This method creates a new subcontext with the given name, binds it in the target context (that named by all but terminal atomic component of the name), and associates the supplied attributes with the newly created object. All intermediate and target contexts must already exist. If attrs is null, this method is equivalent to Context.createSubcontext().

  Specified by:
    `createSubcontext` in interface `javax.naming.directory.DirContext`
  Specified by:
    `createSubcontext` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context to create; may not be empty
    `attrs` - the attributes to associate with the newly created context
  Returns:
    the newly created context
  Throws:
    `javax.naming.NameAlreadyBoundException` - if the name is already bound
    `InvalidAttributesException` - if attrs does not contain all the mandatory attributes required for creation
    `javax.naming.NamingException` - if a naming exception is encountered

### getSchema

    public javax.naming.directory.DirContext getSchema(java.lang.String name)
                                                throws javax.naming.NamingException

  Retrieves the schema associated with the named object. The schema describes rules regarding the structure of the namespace and the attributes stored within it. The schema specifies what types of objects can be added to the directory and where they can be added; what mandatory and optional attributes an object can have. The range of support for schemas is directory-specific.

  Specified by:
    `getSchema` in interface `javax.naming.directory.DirContext`
  Specified by:
    `getSchema` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object whose schema is to be retrieved
  Returns:
    the schema associated with the context; never null
  Throws:
    `javax.naming.OperationNotSupportedException` - if schema not supported
    `javax.naming.NamingException` - if a naming exception is encountered

### getSchemaClassDefinition

    public javax.naming.directory.DirContext getSchemaClassDefinition(java.lang.String name)
                                                               throws javax.naming.NamingException

  Retrieves a context containing the schema objects of the named object's class definitions.

  Specified by:
    `getSchemaClassDefinition` in interface `javax.naming.directory.DirContext`
  Specified by:
    `getSchemaClassDefinition` in class `BaseDirContext`
  Parameters:
    `name` - the name of the object whose object class definition is to be retrieved
  Returns:
    the DirContext containing the named object's class definitions; never null
  Throws:
    `javax.naming.OperationNotSupportedException` - if schema not supported
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 javax.naming.directory.Attributes matchingAttributes,
                                                 java.lang.String[] attributesToReturn)
                                          throws javax.naming.NamingException

  Searches in a single context for objects that contain a specified set of attributes, and retrieves selected attributes. The search is performed using the default SearchControls settings.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Specified by:
    `search` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context to search
    `matchingAttributes` - the attributes to search for. If empty or null, all objects in the target context are returned.
    `attributesToReturn` - the attributes to return. null indicates that all attributes are to be returned; an empty array indicates that none are to be returned.
  Returns:
    a non-null enumeration of SearchResult objects. Each SearchResult contains the attributes identified by attributesToReturn and the name of the corresponding object, named relative to the context named by name.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 javax.naming.directory.Attributes matchingAttributes)
                                          throws javax.naming.NamingException

  Searches in a single context for objects that contain a specified set of attributes. This method returns all the attributes of such objects. It is equivalent to supplying null as the atributesToReturn parameter to the method search(Name, Attributes, String[]).

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Specified by:
    `search` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context to search
    `matchingAttributes` - the attributes to search for. If empty or null, all objects in the target context are returned.
  Returns:
    a non-null enumeration of SearchResult objects. Each SearchResult contains the attributes identified by attributesToReturn and the name of the corresponding object, named relative to the context named by name.
  Throws:
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 java.lang.String filter,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Searches in the named context or object for entries that satisfy the given search filter. Performs the search as specified by the search controls.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Specified by:
    `search` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context or object to search
    `filter` - the filter expression to use for the search; may not be null
    `cons` - the search controls that control the search. If null, the default search controls are used (equivalent to (new SearchControls())).
  Returns:
    an enumeration of SearchResults of the objects that satisfy the filter; never null
  Throws:
    `InvalidSearchFilterException` - if the search filter specified is not supported or understood by the underlying directory
    `InvalidSearchControlsException` - if the search controls contain invalid settings
    `javax.naming.NamingException` - if a naming exception is encountered

### search

    public javax.naming.NamingEnumeration search(java.lang.String name,
                                                 java.lang.String filterExpr,
                                                 java.lang.Object[] filterArgs,
                                                 javax.naming.directory.SearchControls cons)
                                          throws javax.naming.NamingException

  Searches in the named context or object for entries that satisfy the given search filter. Performs the search as specified by the search controls.

  Specified by:
    `search` in interface `javax.naming.directory.DirContext`
  Specified by:
    `search` in class `BaseDirContext`
  Parameters:
    `name` - the name of the context or object to search
    `filterExpr` - the filter expression to use for the search. The expression may contain variables of the form "{i}" where i is a nonnegative integer. May not be null.
    `filterArgs` - the array of arguments to substitute for the variables in filterExpr. The value of filterArgs[i] will replace each occurrence of "{i}". If null, equivalent to an empty array.
    `cons` - the search controls that control the search. If null, the default search controls are used (equivalent to (new SearchControls())).
  Returns:
    an enumeration of SearchResults of the objects that satisy the filter; never null
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if filterExpr contains {i} expressions where i is outside the bounds of the array filterArgs
    `InvalidSearchControlsException` - if cons contains invalid settings
    `InvalidSearchFilterException` - if filterExpr with filterArgs represents an invalid search filter
    `javax.naming.NamingException` - if a naming exception is encountered

### normalize

    protected java.lang.String normalize(java.util.zip.ZipEntry entry)

  Normalize the name of an entry read from the Zip.

### loadEntries

    protected void loadEntries()

  Constructs a tree of the entries contained in a WAR file.

### treeLookup

    protected WARDirContext.Entry treeLookup(javax.naming.Name name)

  Entry tree lookup.

### list

    protected java.util.Vector list(WARDirContext.Entry entry)

  List children as objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.